_: {
  home-manager.users.buffet = {
    programs.git = {
      enable = true;
      userEmail = "dev@buffet.sh";
      userName = "buffet";

      aliases = {
        b = "branch";
        c = "commit --verbose";
        m = "commit --amend --verbose";

        d = "diff";
        ds = "diff --stat";
        dc = "diff --cached";

        l = "log";
        s = "status -s";
      };

      signing = {
        key = "EBAC355935FD7382";
      };

      extraConfig = {
        branch = {
          sort = "-committerdate";
        };

        init = {
          defaultBranch = "master";
        };

        push = {
          autoSetupRemote = true;
        };

        pull = {
          ff = "only";
        };
      };
    };
  };
}
